
/**

Author: Kevin Loughran

**/

(function(window)
{

	//--------------------------- CONSTRUCTOR:
	
	var Data = function()
	{
		
	}
	
	//--------------------------- GEM DATA:

	var gemData = [];
	
	gemData['01'] = [];
	gemData['01']['m1'] = {id:'iron'		,value:150};
	gemData['01']['m2'] = {id:'copper'		,value:300};
	gemData['01']['m3'] = {id:'cobalt'		,value:500};
	
	gemData['02'] = [];
	gemData['02']['m1'] = {id:'silver'		,value:750};
	gemData['02']['m2'] = {id:'titanium'	,value:2000};
	gemData['02']['m3'] = {id:'gold'		,value:4500};
	
	gemData['03'] = [];
	gemData['03']['m1'] = {id:'diamond'		,value:7500};
	gemData['03']['m2'] = {id:'tantalum'	,value:10000};
	gemData['03']['m3'] = {id:'sapphire'	,value:15000};
	
	gemData['04'] = [];
	gemData['04']['m1'] = {id:'sapphire'	,value:15000};
	gemData['04']['m2'] = {id:'vanadium'	,value:25000};
	gemData['04']['m3'] = {id:'ruby'		,value:50000};
	
	gemData['05'] = [];
	gemData['05']['m1'] = {id:'ruby'		,value:50000};
	gemData['05']['m2'] = {id:'uranium'		,value:75000};
	gemData['05']['m3'] = {id:'adamantium'	,value:100000};
	
	gemData['06'] = [];
	gemData['06']['m1'] = {id:'adamantium'	,value:100000};
	gemData['06']['m2'] = {id:'painite'		,value:150000};
	gemData['06']['m3'] = {id:'unobtanium'	,value:200000};
	
	//--------------------------- SHOP DATA:
	
	var shopData = [];
	
	//var list = ['drill','hull','fuel','storage','engine','airbag','lantern'];
	
	shopData['drill'] = [];
	shopData['drill'][1] = {id:'Steel Drill' 	 		 ,value:3750, 		info:"Drill faster with a new Steel Drill!"};
	shopData['drill'][2] = {id:'Diamond Drill'  		 ,value:50000, 		info:"Stronger than steel, drill faster with a Diamond Drill!"};
	shopData['drill'][3] = {id:'Promethium Drill'  		 ,value:100000,		info:"Drill like a champ with this new Promethium Drill!"};
	shopData['drill'][4] = {id:'Amazonium Drill'   		 ,value:250000,		info:"Cut through rocks like butter with the Amazonium Drill!"};
	
	shopData['hull'] = [];
	shopData['hull'][1] = {id:'Titanium Hull'   		 ,value:3750,		info:"Beef up your defenses with a Titanium Hull!"};
	shopData['hull'][2] = {id:'Diamond Hull'  			 ,value:50000,		info:"This diamond encrusted armor is waterproof and stronger than ever!"};
	shopData['hull'][3] = {id:'Veridium Hull'  			 ,value:100000,		info:"The veridium armor can take a beating and keep on drilling!"};
	shopData['hull'][4] = {id:'Promethium Hull'  		 ,value:250000,		info:"This liquid metal armor is impervious to lava!"};
	
	shopData['fuel'] = [];
	shopData['fuel'][1] = {id:'Expanded Fuel Cell'   ,value:3750,		info:"Keep running out of energy? Expand your fuel cell!"};
	shopData['fuel'][2] = {id:'Huge Fuel Cell'   	 ,value:50000,		info:"An even larger battery for longer runs, a necessity."};
	shopData['fuel'][3] = {id:'Gigantic Fuel Cell'   ,value:100000,		info:"The largest power supply that will fit - a real monster!"};
	shopData['fuel'][4] = {id:'Nuclear Fuel Cell'    ,value:250000,		info:"Tired of having to go back to recharge? With a half-life of 200 years you'll never need to again!"};
	
	shopData['storage'] = [];
	shopData['storage'][1] = {id:'Expanded Storage'  	 ,value:3750,		info:"Need to carry more? Build out that storage bay!"};
	shopData['storage'][2] = {id:'Huge Storage'   		 ,value:50000,		info:"Even more space for more cargo!"};
	shopData['storage'][3] = {id:'Gigantic Storage'  	 ,value:100000,		info:"Top notch cargo space for the intrepid miner on those long hauls"};
	shopData['storage'][4] = {id:'Dimensional Storage'   ,value:250000,		info:"Send your cargo to another dimension while out in the field!"};
	
	shopData['engine'] = [];
	shopData['engine'][1] = {id:'Improved Engine'   	,value:3750,		info:"Not moving fast enough? Improve that Engine!"};
	shopData['engine'][2] = {id:'Secondary Engine'   	,value:50000,		info:"When just one engine isn't good enough, upgrade to a Secodary Engine!"};
	shopData['engine'][3] = {id:'Hot Rod Engine'   		,value:100000,		info:"Time to really get moving with an upgrade to the Hot Rod Engine!"};
	shopData['engine'][4] = {id:'Dark Matter Engine'    ,value:250000,		info:"Accept no substitutions for the fastest engine in the galaxy - the Dark Matter Engine!"};
	
	shopData['airbag'] = [];
	shopData['airbag'][1] = {id:'Improved Airbags'  		,value:5000,		info:"Now you'll take even less damage from your falls with Improved Airbags!"};
	shopData['airbag'][2] = {id:'Power Cushion'  			,value:75000,		info:"The all new Power Cushion keeps you safe at fast speeds!"};
	shopData['airbag'][3] = {id:'Super Cushion'   			,value:150000,		info:"Even better, the Super Cushion is luxury protection!"};
	shopData['airbag'][4] = {id:'Super Cushion 5000 DX'   	,value:300000,		info:"The finest in falling protection, the Super Cushion 5000 DX will stop all falling damage!"};
	
	shopData['lantern'] = [];
	shopData['lantern'][1] = {id:'Bigger Bulbs'  		,value:75000,		info:"Still too dark? Bigger bulbs can help that!"};
	shopData['lantern'][2] = {id:'Even Bigger Bulbs'   	,value:150000,		info:"For use in the deep dark parts of the underdark, even bigger bulbs!"};
	shopData['lantern'][3] = {id:'Light Array'   		,value:300000,		info:"The light array gives fantastic vision while traveling underground! "};
	shopData['lantern'][4] = {id:'Super Spotlights'   	,value:500000,		info:"The final word in lighting, Super Spotlights will reveal the entire screen for you in the underdark."};
	
	shopData['weapons'] = [];
	shopData['weapons'][1] = {id:'Shock Gun'  		 ,value:50000,			info:"Baddies getting in your way? Shock them with the all new Shock Gun!"};
	shopData['weapons'][2] = {id:'Beam Cannon'  	 ,value:100000,			info:"Need to handle really big bad guys? The Beam Cannon is what you need!"};
	shopData['weapons'][3] = {id:'Light Beamer'  	 ,value:250000,			info:"Get even more kick with the Light Beamer!"};
	shopData['weapons'][4] = {id:'Solar Laser'       ,value:500000,			info:"The ultimate in underground protection - the Solar Laser!"};
	
	
	//--------------------------- POWERUP DATA:
	
	var powerupData = [];
	
	powerupData[1] = [];
	powerupData[1].icon = 'item01';
	powerupData[1].name = 'Quantum Shielding';
	powerupData[1].value = 50000;
	powerupData[1].info = "Provides temporary amazing protection against bad guys!";
	
	powerupData[2] = [];
	powerupData[2].icon = 'item02';
	powerupData[2].name = 'Beam Amplifier';
	powerupData[2].value = 150000;
	powerupData[2].info = "Put those baddies in their place with even better weapons!";
	
	powerupData[3] = [];
	powerupData[3].icon = 'item03';
	powerupData[3].name = 'Hover Drone';
	powerupData[3].value = 100000;
	powerupData[3].info = "Never leave home without a little buddy!";
	
	powerupData[4] = [];
	powerupData[4].icon = 'item04';
	powerupData[4].name = 'Hard Hat';
	powerupData[4].value = 75000;
	powerupData[4].info = "Keep your noggin safe from falling debris.";
	
	powerupData[5] = [];
	powerupData[5].icon = 'item05';
	powerupData[5].name = 'Nitro Canisters';
	powerupData[5].value = 75000;
	powerupData[5].info = "Move fast like the wind with Nitro!";
	
	powerupData[6] = [];
	powerupData[6].icon = 'item06';
	powerupData[6].name = 'Drill Copter';
	powerupData[6].value = 500;
	powerupData[6].info = "";
	
	//--------------------------- DIALOGUE DATA:
	
	
	//--------------------------- GLOBAL VARIABLES:

	
	//--------------------------- PUBLIC METHODS:
	
	Data.getData = function()
	{

	}
	
	Data.getGemData = function(zoneStr, minVal)
	{
		var gData = {};

		gData = gemData[zoneStr][minVal];
		
		return gData;
	}
	
	Data.getPowerupData = function(num)
	{
		var pData = {};

		pData = powerupData[num];
		
		return pData;
	}
	
	Data.getShopData = function(mode,num)
	{
		var sData = {};

		sData = shopData[mode][num];
		
		return sData;
	}

	//----------------------------------------------


window.Data = Data;
}(window));